<?php
/**
 * Archive options
 *
 * @package Theme Palace
 * @subpackage Loud Pro
 * @since Loud Pro 1.0
 */

// Add archive section
$wp_customize->add_section( 'tp_philosophy_pro_archive_section', array(
	'title'             => esc_html__( 'Blog/Archive','tp-philosophy-pro' ),
	'description'       => esc_html__( 'Archive section options.', 'tp-philosophy-pro' ),
	'panel'             => 'tp_philosophy_pro_theme_options_panel',
) );

// Featurd Posts content type control and setting
$wp_customize->add_setting( 'tp_philosophy_pro_theme_options[archive_layout]', array(
	'default'          	=> $options['archive_layout'],
	'sanitize_callback' => 'tp_philosophy_pro_sanitize_select',
) );

$wp_customize->add_control( 'tp_philosophy_pro_theme_options[archive_layout]', array(
	'label'             => esc_html__( 'Layout', 'tp-philosophy-pro' ),
	'section'           => 'tp_philosophy_pro_archive_section',
	'type'				=> 'radio',
	'choices'			=> array( 
		'list' 			=> esc_html__( 'List View', 'tp-philosophy-pro' ),
		'grid' 	=> esc_html__( 'Grid View', 'tp-philosophy-pro' ),
	),
) );

// Your latest posts title.
$wp_customize->add_setting( 'tp_philosophy_pro_theme_options[your_latest_posts_title]', array(
	'default'          	=> $options['your_latest_posts_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'tp_philosophy_pro_theme_options[your_latest_posts_title]', array(
	'label'             => esc_html__( 'Your Latest Posts Title', 'tp-philosophy-pro' ),
	'description'             => esc_html__( 'This will only work when Static Front Page is set to "Your latest posts"', 'tp-philosophy-pro' ),
	'section'           => 'tp_philosophy_pro_archive_section',
	'type'				=> 'text',
) );