<?php
/**
* Layout options
*
* @package Theme_Palace
* @subpackage TP_Philosophy_Pro
* @since 1.0
*/

// Add sidebar section
$wp_customize->add_section( 'tp_philosophy_pro_layout', array(
	'title'               => esc_html__('Layout','tp-philosophy-pro'),
	'description'         => esc_html__( 'Layout section options.', 'tp-philosophy-pro' ),
	'panel'               => 'tp_philosophy_pro_theme_options_panel'
) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'tp_philosophy_pro_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'tp_philosophy_pro_sanitize_select',
	'default'             => $options['sidebar_position']
) );

$wp_customize->add_control( 'tp_philosophy_pro_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Sidebar Position', 'tp-philosophy-pro' ),
	'section'             => 'tp_philosophy_pro_layout',
	'type'                => 'select',
	'choices'			  => tp_philosophy_pro_sidebar_position(),
) );

// Site layout setting and control.
$wp_customize->add_setting( 'tp_philosophy_pro_theme_options[site_layout]', array(
	'sanitize_callback'   => 'tp_philosophy_pro_sanitize_select',
	'default'             => $options['site_layout']
) );

$wp_customize->add_control( 'tp_philosophy_pro_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'tp-philosophy-pro' ),
	'section'             => 'tp_philosophy_pro_layout',
	'type'                => 'select',
	'choices'			  => tp_philosophy_pro_site_layout(),
) );

// Heading Box layout setting and controls.
$wp_customize->add_setting( 'tp_philosophy_pro_theme_options[enable_heading_box_layout]', array(
	'sanitize_callback'   => 'tp_philosophy_pro_sanitize_checkbox',
	'default'             => $options['enable_heading_box_layout'],
) );

$wp_customize->add_control( 'tp_philosophy_pro_theme_options[enable_heading_box_layout]', array(
	'label'               => esc_html__( 'Enable Heading Box Layout', 'tp-philosophy-pro' ),
	'section'             => 'tp_philosophy_pro_layout',
	'type'                => 'checkbox',
) );

