<?php
/**
 * Reset options
 *
 * @package Theme_Palace
 * @subpackage TP_Philosophy_Pro
 * @since 1.0
 */

/**
* Reset section
*/
// Add reset enable section
$wp_customize->add_section( 'tp_philosophy_pro_reset_section', array(
	'title'             => esc_html__('Reset all settings','tp-philosophy-pro'),
	'description'       => esc_html__( 'Caution: All settings will be reset to default. Refresh the page after clicking Save & Publish.', 'tp-philosophy-pro' ),
) );

// Add reset enable setting and control.
$wp_customize->add_setting( 'tp_philosophy_pro_theme_options[reset_options]', array(
	'default'           => $options['reset_options'],
	'sanitize_callback' => 'tp_philosophy_pro_sanitize_checkbox',
	'transport'			  => 'postMessage'
) );

$wp_customize->add_control( 'tp_philosophy_pro_theme_options[reset_options]', array(
	'label'             => esc_html__( 'Check to reset all settings', 'tp-philosophy-pro' ),
	'section'           => 'tp_philosophy_pro_reset_section',
	'type'              => 'checkbox',
) );