<?php
/**
 * Typography options
 *
 * @package Theme Palace
 * @subpackage TP Philosophy Pro
 * @since 1.0
 */

// Typography
$wp_customize->add_section( 'tp_philosophy_pro_section_typography',
	array(
		'title'      		=> esc_html__( 'Typography', 'tp-philosophy-pro' ),
		'priority'   		=> 600,
		'panel'      		=> 'tp_philosophy_pro_theme_options_panel',
	)
);

// Header Font Typography
$wp_customize->add_setting( 'tp_philosophy_pro_theme_options[header_typography]',
	array(
		'default'    		=> $options['header_typography'],
		'sanitize_callback'	=> 'tp_philosophy_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'tp_philosophy_pro_theme_options[header_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Header Typography', 'tp-philosophy-pro' ),
		'section'     		=> 'tp_philosophy_pro_section_typography',
		'settings'    		=> 'tp_philosophy_pro_theme_options[header_typography]',
		'type'		  		=> 'select',
		'choices'			=> tp_philosophy_pro_header_typography_options(),
    )
);

// Body Font Typography
$wp_customize->add_setting( 'tp_philosophy_pro_theme_options[body_typography]',
	array(
		'default'    		=> $options['body_typography'],
		'sanitize_callback'	=> 'tp_philosophy_pro_sanitize_select',
	)
);
$wp_customize->add_control( 'tp_philosophy_pro_theme_options[body_typography]',
    array(
		'label'       		=> esc_html__( 'Choose Body Typography', 'tp-philosophy-pro' ),
		'section'     		=> 'tp_philosophy_pro_section_typography',
		'settings'    		=> 'tp_philosophy_pro_theme_options[body_typography]',
		'type'		  		=> 'select',
		'choices'			=> tp_philosophy_pro_body_typography_options(),
    )
);